package cn.com.qmth.examcloud.question.core.paper;

import java.util.List;

/**
 * 题结构包装器
 *
 * @author WANGWEI
 * @date 2018年8月15日
 * @Copyright (c) 2018-? http://qmth.com.cn All Rights Reserved.
 */
public class DefaultQuestionStructureWrapper implements QuestionStructureWrapper {

	/**
	 * 题ID
	 */
	private String questionId;

	/**
	 * 题分数
	 */
	private Float questionScore;

	/**
	 * 题单元包装器
	 */
	private List<DefaultQuestionUnitWrapper> questionUnitWrapperList;

	@Override
	public String getQuestionId() {
		return questionId;
	}

	public void setQuestionId(String questionId) {
		this.questionId = questionId;
	}

	@Override
	public Float getQuestionScore() {
		return questionScore;
	}

	public void setQuestionScore(Float questionScore) {
		this.questionScore = questionScore;
	}

	@Override
	public List<? extends QuestionUnitWrapper> getQuestionUnitWrapperList() {
		return questionUnitWrapperList;
	}

	public void setQuestionUnitWrapperList(
			List<DefaultQuestionUnitWrapper> questionUnitWrapperList) {
		this.questionUnitWrapperList = questionUnitWrapperList;
	}

}
