package cn.com.qmth.examcloud.question.core.question;

import java.util.List;

/**
 * 题<完整题>
 *
 * @author WANGWEI
 * @date 2018年8月15日
 * @Copyright (c) 2018-? http://qmth.com.cn All Rights Reserved.
 */
public class DefaultQuestion implements Question {

	private static final long serialVersionUID = 195811114083691548L;

	/**
	 * 题ID
	 */
	private String id;

	/**
	 * 主版本
	 */
	private DefaultQuestionStructure masterVersion;

	/**
	 * 分支版本
	 */
	private List<DefaultQuestionStructure> branchVersionList;

	@Override
	public String getId() {
		return id;
	}

	@Override
	public void setId(String id) {
		this.id = id;
	}

	@Override
	public QuestionStructure getMasterVersion() {
		return masterVersion;
	}

	public void setMasterVersion(DefaultQuestionStructure masterVersion) {
		this.masterVersion = masterVersion;
	}

	@Override
	public List<? extends QuestionStructure> getBranchVersionList() {
		return branchVersionList;
	}

	public void setBranchVersionList(List<DefaultQuestionStructure> branchVersionList) {
		this.branchVersionList = branchVersionList;
	}

}